package com.goldencode.hotel.dmo._temp;

import com.goldencode.p2j.persist.*;
import com.goldencode.p2j.util.*;

/**
 * Data Model Object corresponding with a temporary table.
 */
public interface FwdEmbeddedWindow_1
extends Temporary
{
   /**
    * Getter: pname
    * 
    * @return  pname
    */
   public character getPname();

   /**
    * Setter: pname
    * 
    * @param   pname
    *          pname
    */
   public void setPname(Text pname);

   /**
    * Getter: phandle
    * 
    * @return  phandle
    */
   public handle getPhandle();

   /**
    * Setter: phandle
    * 
    * @param   phandle
    *          phandle
    */
   public void setPhandle(handle phandle);

   /**
    * Getter: menubar
    * 
    * @return  menubar
    */
   public handle getMenubar();

   /**
    * Setter: menubar
    * 
    * @param   menubar
    *          menubar
    */
   public void setMenubar(handle menubar);

   /**
    * Getter: toolbar
    * 
    * @return  toolbar
    */
   public handle getToolbar();

   /**
    * Setter: toolbar
    * 
    * @param   toolbar
    *          toolbar
    */
   public void setToolbar(handle toolbar);

   /**
    * Getter: isadm2
    * 
    * @return  isadm2
    */
   public logical isIsadm2();

   /**
    * Setter: isadm2
    * 
    * @param   isadm2
    *          isadm2
    */
   public void setIsadm2(logical isadm2);

   /**
    * Indexed Getter: pages
    * 
    * @param   index
    *          Index of element (where <code>0 &lt;= <em>index</em> &lt; 100</code>).
    * 
    * @return  pages
    */
   public logical isPages(int index);

   /**
    * Indexed Setter: pages
    * 
    * @param   index
    *          Index of element (where <code>0 &lt;= <em>index</em> &lt; 100</code>).
    * @param   element
    *          pages
    */
   public void setPages(int index, logical element);

   /**
    * Indexed Getter: toolbars
    * 
    * @param   index
    *          Index of element (where <code>0 &lt;= <em>index</em> &lt; 100</code>).
    * 
    * @return  toolbars
    */
   public character getToolbars(int index);

   /**
    * Indexed Setter: toolbars
    * 
    * @param   index
    *          Index of element (where <code>0 &lt;= <em>index</em> &lt; 100</code>).
    * @param   element
    *          toolbars
    */
   public void setToolbars(int index, Text element);

   /**
    * DMO interface for use by converted business logic.
    */
   public interface Buf
   extends FwdEmbeddedWindow_1, Buffer
   {
      /**
       * Getter: pages
       * 
       * @return  pages
       */
      public logical[] isPages();

      /**
       * Indexed Getter: pages
       * 
       * @param   index
       *          Index of element (where <code>0 &lt;= <em>index</em> &lt; 100</code>).
       * 
       * @return  pages
       */
      public logical isPages(NumberType index);

      /**
       * Indexed Setter: pages
       * 
       * @param   index
       *          Index of element (where <code>0 &lt;= <em>index</em> &lt; 100</code>).
       * @param   element
       *          pages
       */
      public void setPages(NumberType index, logical element);

      /**
       * Set all elements of the target list property to the given scalar value. Modifies the
       * contents of: pages
       * 
       * @param   element
       *          Scalar value to which to set all elements of: pages
       */
      public void setPages(logical element);

      /**
       * Set as many elements of the target list property as are provided in the given array of
       * scalar values. Modifies the contents of: pages
       * <p>
       * If the given array is larger than the target list, any additional elements in the given
       * array are ignored. If the target array is smaller than the target list, only those
       * elements whose array indices match are updated.
       * 
       * @param   elements
       *          Array of scalar values to which to set the corresponding elements of: pages
       */
      public void setPages(logical[] elements);

      /**
       * Getter: toolbars
       * 
       * @return  toolbars
       */
      public character[] getToolbars();

      /**
       * Indexed Getter: toolbars
       * 
       * @param   index
       *          Index of element (where <code>0 &lt;= <em>index</em> &lt; 100</code>).
       * 
       * @return  toolbars
       */
      public character getToolbars(NumberType index);

      /**
       * Indexed Setter: toolbars
       * 
       * @param   index
       *          Index of element (where <code>0 &lt;= <em>index</em> &lt; 100</code>).
       * @param   element
       *          toolbars
       */
      public void setToolbars(NumberType index, Text element);

      /**
       * Set all elements of the target list property to the given scalar value. Modifies the
       * contents of: toolbars
       * 
       * @param   element
       *          Scalar value to which to set all elements of: toolbars
       */
      public void setToolbars(Text element);

      /**
       * Set as many elements of the target list property as are provided in the given array of
       * scalar values. Modifies the contents of: toolbars
       * <p>
       * If the given array is larger than the target list, any additional elements in the given
       * array are ignored. If the target array is smaller than the target list, only those
       * elements whose array indices match are updated.
       * 
       * @param   elements
       *          Array of scalar values to which to set the corresponding elements of: toolbars
       */
      public void setToolbars(Text[] elements);

   }
}
