package com.goldencode.hotel.dmo._temp;

import com.goldencode.p2j.persist.*;
import com.goldencode.p2j.util.*;

/**
 * Data Model Object corresponding with a temporary table.
 */
public interface TtRoomTypeAgg_1
extends Temporary
{
   /**
    * Getter: roomType
    * 
    * @return  roomType
    */
   public integer getRoomType();

   /**
    * Setter: roomType
    * 
    * @param   roomType
    *          roomType
    */
   public void setRoomType(NumberType roomType);

   /**
    * Getter: description
    * 
    * @return  description
    */
   public character getDescription();

   /**
    * Setter: description
    * 
    * @param   description
    *          description
    */
   public void setDescription(Text description);

   /**
    * Getter: count
    * 
    * @return  count
    */
   public integer getCount();

   /**
    * Setter: count
    * 
    * @param   count
    *          count
    */
   public void setCount(NumberType count);

   /**
    * Getter: potentialRevenue
    * 
    * @return  potentialRevenue
    */
   public decimal getPotentialRevenue();

   /**
    * Setter: potentialRevenue
    * 
    * @param   potentialRevenue
    *          potentialRevenue
    */
   public void setPotentialRevenue(NumberType potentialRevenue);

   /**
    * DMO interface for use by converted business logic.
    */
   public interface Buf
   extends TtRoomTypeAgg_1, Buffer
   {
   }
}
