package com.goldencode.hotel.ui;

import com.goldencode.p2j.util.*;
import com.goldencode.p2j.ui.*;

public interface AddRoomsDialogGdialog
extends CommonFrame
{
   public static final Class configClass = AddRoomsDialogGdialogDef.class;

   public integer getFloor();

   public void setFloor(integer parm);

   public void setFloor(int parm);

   public void setFloor(BaseDataType parm);

   public FillInWidget widgetFloor();

   public integer getFirstRoom();

   public void setFirstRoom(integer parm);

   public void setFirstRoom(int parm);

   public void setFirstRoom(BaseDataType parm);

   public FillInWidget widgetFirstRoom();

   public integer getLastRoom();

   public void setLastRoom(integer parm);

   public void setLastRoom(int parm);

   public void setLastRoom(BaseDataType parm);

   public FillInWidget widgetLastRoom();

   public logical isRoomActive();

   public void setRoomActive(logical parm);

   public void setRoomActive(boolean parm);

   public void setRoomActive(BaseDataType parm);

   public ToggleBoxWidget widgetRoomActive();

   public ButtonWidget widgetBtnOk();

   public ButtonWidget widgetBtnCancel();

   public void setExpr7(character parm);

   public void setExpr7(String parm);

   public void setExpr7(BaseDataType parm);

   public LiteralWidget widgetExpr7();

   public void setExpr8(character parm);

   public void setExpr8(String parm);

   public void setExpr8(BaseDataType parm);

   public LiteralWidget widgetExpr8();

   public static class AddRoomsDialogGdialogDef
   extends WidgetList
   {
      FillInWidget floor = new FillInWidget();

      FillInWidget firstRoom = new FillInWidget();

      FillInWidget lastRoom = new FillInWidget();

      ToggleBoxWidget roomActive = new ToggleBoxWidget();

      ButtonWidget btnOk = new ButtonWidget();

      ButtonWidget btnCancel = new ButtonWidget();

      LiteralWidget expr7 = new LiteralWidget();

      LiteralWidget expr8 = new LiteralWidget();

      SkipEntity expr9 = new SkipEntity();

      SkipEntity expr10 = new SkipEntity();

      public void setup(CommonFrame frame)
      {
         frame.setDown(1);
         frame.setDialogBox(true);
         frame.setKeepTabOrder(true);
         frame.setSideLabels(true);
         frame.setNoUnderline(true);
         frame.setThreeD(true);
         frame.setScrollable(true);
         frame.setFont(8);
         frame.setTitle("Add Rooms");
         frame.setDefaultButtonOption(btnOk);
         frame.setCancelButtonOption(btnCancel);
         floor.setDataType("integer");
         floor.setRow(1.48);
         floor.setColumn(13);
         floor.setAlign(ControlEntity.ALIGN_COLON);
         floor.setWidgetId(2);
         firstRoom.setDataType("integer");
         firstRoom.setRow(2.95);
         firstRoom.setColumn(13);
         firstRoom.setAlign(ControlEntity.ALIGN_COLON);
         firstRoom.setWidgetId(4);
         lastRoom.setDataType("integer");
         lastRoom.setRow(4.43);
         lastRoom.setColumn(13);
         lastRoom.setAlign(ControlEntity.ALIGN_COLON);
         lastRoom.setWidgetId(6);
         roomActive.setDataType("logical");
         roomActive.setRow(5.81);
         roomActive.setColumn(15);
         roomActive.setWidgetId(10);
         btnOk.setAutoGoOption(true);
         btnOk.setWidthChars(17);
         btnOk.setHeightChars(1.14);
         btnOk.setRow(8.67);
         btnOk.setColumn(2);
         btnCancel.setAutoEndKeyOption(true);
         btnCancel.setWidthChars(15);
         btnCancel.setHeightChars(1.14);
         btnCancel.setRow(8.67);
         btnCancel.setColumn(21);
         expr7.setDataType("character");
         expr7.setFormat("x(10)");
         ((AddRoomsDialogGdialog) frame).setExpr7(new character("Room Type:"));
         expr7.explicitViewAs(true);
         expr7.setWidthChars(12);
         expr7.setHeightChars(.62);
         expr7.setRow(1.67);
         expr7.setColumn(32.8);
         expr7.setWidgetId(8);
         expr8.setDataType("character");
         expr8.setFormat("x(7)");
         ((AddRoomsDialogGdialog) frame).setExpr8(new character("Active:"));
         expr8.explicitViewAs(true);
         expr8.setWidthChars(6.8);
         expr8.setHeightChars(.62);
         expr8.setRow(5.86);
         expr8.setColumn(7.8);
         expr8.setWidgetId(12);
         expr9.setVertical(false);
         expr9.setWidth(73.59);
         expr10.setVertical(true);
         expr10.setHeight(3.84);
         btnCancel.setLabel("Cancel");
         lastRoom.setFormat(">>>>9");
         lastRoom.setLabel("Last Room");
         lastRoom.setWidthChars(14);
         lastRoom.setHeightChars(1);
         btnOk.setLabel("Add room(s)");
         firstRoom.setFormat(">>>>9");
         firstRoom.setLabel("First Room");
         firstRoom.setWidthChars(14);
         firstRoom.setHeightChars(1);
         floor.setFormat("->>9");
         floor.setLabel("Floor");
         floor.setWidthChars(14);
         floor.setHeightChars(1);
         roomActive.setLabel("");
         roomActive.setWidthChars(6);
         roomActive.setHeightChars(.81);
      }

      {
         addWidget("floor", "floor", floor);
         addWidget("firstRoom", "firstRoom", firstRoom);
         addWidget("lastRoom", "lastRoom", lastRoom);
         addWidget("roomActive", "roomActive", roomActive);
         addWidget("btnOk", "Btn_OK", btnOk);
         addWidget("btnCancel", "Btn_Cancel", btnCancel);
         addWidget("expr7", "", expr7);
         addWidget("expr8", "", expr8);
         addWidget("expr9", "", expr9);
         addWidget("expr10", "", expr10);
      }
   }
}
