package com.goldencode.hotel.ui;

import com.goldencode.p2j.util.*;
import com.goldencode.p2j.ui.*;

public interface UpdateRateDialogGdialog
extends CommonFrame
{
   public static final Class configClass = UpdateRateDialogGdialogDef.class;

   public ButtonWidget widgetStartDatePicker();

   public ButtonWidget widgetEndDatePicker();

   public character getRoomType();

   public void setRoomType(character parm);

   public void setRoomType(String parm);

   public void setRoomType(BaseDataType parm);

   public ComboBoxWidget widgetRoomType();

   public date getStartDate();

   public void setStartDate(date parm);

   public void setStartDate(BaseDataType parm);

   public FillInWidget widgetStartDate();

   public date getEndDate();

   public void setEndDate(date parm);

   public void setEndDate(BaseDataType parm);

   public FillInWidget widgetEndDate();

   public decimal getRoomRate();

   public void setRoomRate(decimal parm);

   public void setRoomRate(double parm);

   public void setRoomRate(BaseDataType parm);

   public FillInWidget widgetRoomRate();

   public ButtonWidget widgetBtnOk();

   public ButtonWidget widgetBtnCancel();

   public void setExpr9(character parm);

   public void setExpr9(String parm);

   public void setExpr9(BaseDataType parm);

   public LiteralWidget widgetExpr9();

   public static class UpdateRateDialogGdialogDef
   extends WidgetList
   {
      ButtonWidget startDatePicker = new ButtonWidget();

      ButtonWidget endDatePicker = new ButtonWidget();

      ComboBoxWidget roomType = new ComboBoxWidget();

      FillInWidget startDate = new FillInWidget();

      FillInWidget endDate = new FillInWidget();

      FillInWidget roomRate = new FillInWidget();

      ButtonWidget btnOk = new ButtonWidget();

      ButtonWidget btnCancel = new ButtonWidget();

      LiteralWidget expr9 = new LiteralWidget();

      SkipEntity expr10 = new SkipEntity();

      SkipEntity expr11 = new SkipEntity();

      public void setup(CommonFrame frame)
      {
         frame.setDown(1);
         frame.setDialogBox(true);
         frame.setKeepTabOrder(true);
         frame.setSideLabels(true);
         frame.setNoUnderline(true);
         frame.setThreeD(true);
         frame.setScrollable(true);
         frame.setFont(8);
         frame.setTitle("Update Rate");
         frame.setDefaultButtonOption(btnOk);
         frame.setCancelButtonOption(btnCancel);
         startDatePicker.setImageUp("graphics/calendar.bmp");
         startDatePicker.setImageIns("graphics/calendar-disabled.bmp");
         startDatePicker.setNoFocus(true);
         startDatePicker.setWidthChars(6);
         startDatePicker.setHeightChars(1.19);
         startDatePicker.setRow(2.91);
         startDatePicker.setColumn(32.8);
         startDatePicker.setWidgetId(12);
         endDatePicker.setImageUp("graphics/calendar.bmp");
         endDatePicker.setImageIns("graphics/calendar-disabled.bmp");
         endDatePicker.setNoFocus(true);
         endDatePicker.setWidthChars(6);
         endDatePicker.setHeightChars(1.19);
         endDatePicker.setRow(4.43);
         endDatePicker.setColumn(32.8);
         endDatePicker.setWidgetId(14);
         roomType.setDataType("character");
         roomType.setRow(1.48);
         roomType.setColumn(15.2);
         roomType.setAlign(ControlEntity.ALIGN_COLON);
         roomType.setWidgetId(2);
         startDate.setDataType("date");
         startDate.setRow(3);
         startDate.setColumn(15.2);
         startDate.setAlign(ControlEntity.ALIGN_COLON);
         startDate.setWidgetId(4);
         endDate.setDataType("date");
         endDate.setRow(4.52);
         endDate.setColumn(15.2);
         endDate.setAlign(ControlEntity.ALIGN_COLON);
         endDate.setWidgetId(6);
         roomRate.setDataType("decimal");
         roomRate.setRow(6);
         roomRate.setColumn(15.2);
         roomRate.setAlign(ControlEntity.ALIGN_COLON);
         roomRate.setWidgetId(8);
         btnOk.setAutoGoOption(true);
         btnOk.setWidthChars(15);
         btnOk.setHeightChars(1.14);
         btnOk.setRow(8.14);
         btnOk.setColumn(3);
         btnCancel.setAutoEndKeyOption(true);
         btnCancel.setWidthChars(15);
         btnCancel.setHeightChars(1.14);
         btnCancel.setRow(8.14);
         btnCancel.setColumn(20);
         expr9.setDataType("character");
         expr9.setFormat("x(1)");
         ((UpdateRateDialogGdialog) frame).setExpr9(new character("$"));
         expr9.explicitViewAs(true);
         expr9.setWidthChars(8);
         expr9.setHeightChars(.62);
         expr9.setRow(6.1);
         expr9.setColumn(31);
         expr9.setWidgetId(10);
         expr10.setVertical(false);
         expr10.setWidth(15.79);
         expr11.setVertical(true);
         expr11.setHeight(3.03);
         roomRate.setFormat(">>>,>>9.99");
         roomRate.setLabel("Rate for Day");
         roomRate.setWidthChars(14);
         roomRate.setHeightChars(1);
         btnCancel.setLabel("Cancel");
         endDatePicker.setLabel("");
         btnOk.setLabel("Update");
         endDate.setFormat("99/99/99");
         endDate.setLabel("End Date (incl.)");
         endDate.setWidthChars(14);
         endDate.setHeightChars(1);
         startDatePicker.setLabel("");
         roomType.setFormat("X(256)");
         roomType.setLabel("Room Type");
         roomType.setInitialInnerLines(5);
         roomType.setItems(new ControlSetItem[]
         {
            new ControlSetItem(new character("Item 1"), new character("Item 1"))
         }, true);
         roomType.setHonorFormat(false);
         roomType.setModeDropDownList(true);
         roomType.setWidthChars(34);
         roomType.setHeightChars(1);
         startDate.setFormat("99/99/99");
         startDate.setLabel("Start Date");
         startDate.setWidthChars(14);
         startDate.setHeightChars(1);
      }

      {
         addWidget("startDatePicker", "startDatePicker", startDatePicker);
         addWidget("endDatePicker", "endDatePicker", endDatePicker);
         addWidget("roomType", "roomType", roomType);
         addWidget("startDate", "startDate", startDate);
         addWidget("endDate", "endDate", endDate);
         addWidget("roomRate", "roomRate", roomRate);
         addWidget("btnOk", "Btn_OK", btnOk);
         addWidget("btnCancel", "Btn_Cancel", btnCancel);
         addWidget("expr9", "", expr9);
         addWidget("expr10", "", expr10);
         addWidget("expr11", "", expr11);
      }
   }
}
