package com.goldencode.hotel.ui.common.adm2;

import com.goldencode.p2j.util.*;
import com.goldencode.p2j.ui.*;

public interface SmartDisplayLinksDialogFrame
extends CommonFrame
{
   public static final Class configClass = SmartDisplayLinksDialogFrameDef.class;

   public character getRadioSort();

   public void setRadioSort(character parm);

   public void setRadioSort(String parm);

   public void setRadioSort(BaseDataType parm);

   public RadioSetWidget widgetRadioSort();

   public ButtonWidget widgetBtnOk();

   public BrowseWidget widgetBrowse1();

   public BrowseColumnWidget widgetBrowse1LinktypeColumn();

   public BrowseColumnWidget widgetBrowse1Expr12Column();

   public BrowseColumnWidget widgetBrowse1Expr13Column();

   public static class SmartDisplayLinksDialogFrameDef
   extends WidgetList
   {
      RadioSetWidget radioSort = new RadioSetWidget();

      ButtonWidget btnOk = new ButtonWidget();

      BrowseWidget browse1 = new BrowseWidget();

      BrowseColumnWidget browse1LinktypeColumn = new BrowseColumnWidget();

      BrowseColumnWidget browse1Expr12Column = new BrowseColumnWidget();

      BrowseColumnWidget browse1Expr13Column = new BrowseColumnWidget();

      SkipEntity expr4 = new SkipEntity();

      SkipEntity expr5 = new SkipEntity();

      SkipEntity expr6 = new SkipEntity();

      public void setup(CommonFrame frame)
      {
         frame.setDown(1);
         frame.setDialogBox(true);
         frame.setKeepTabOrder(true);
         frame.setSideLabels(true);
         frame.setNoUnderline(true);
         frame.setThreeD(true);
         frame.setScrollable(true);
         frame.setTitle("ADM Links");
         radioSort.setDataType("character");
         radioSort.setRow(1.5);
         radioSort.setColumn(30);
         btnOk.setAutoGoOption(true);
         btnOk.setWidthChars(12);
         btnOk.setHeightChars(1.08);
         btnOk.setBgColor(8);
         btnOk.setRow(13);
         btnOk.setColumn(32);
         browse1.setRow(3);
         browse1.setColumn(3);
         browse1.setNoRowMarkers(true);
         browse1.setSeparators(true);
         browse1.setWidthChars(87);
         browse1.setHeightChars(9.2);
         browse1.addColumn(browse1LinktypeColumn);
         browse1LinktypeColumn.setDataType("character");
         browse1LinktypeColumn.setForceLabel(true);
         browse1LinktypeColumn.setLabel("Type");
         browse1LinktypeColumn.setFormat("X(12)");
         browse1.addColumn(browse1Expr12Column);
         browse1Expr12Column.setDataType("character");
         browse1Expr12Column.setForceLabel(true);
         browse1Expr12Column.setLabel("Source");
         browse1Expr12Column.setFormat("X(35)");
         browse1.addColumn(browse1Expr13Column);
         browse1Expr13Column.setDataType("character");
         browse1Expr13Column.setForceLabel(true);
         browse1Expr13Column.setLabel("Target");
         browse1Expr13Column.setFormat("X(35)");
         expr4.setVertical(false);
         expr4.setWidth(2);
         expr5.setVertical(false);
         expr5.setWidth(3);
         expr6.setVertical(true);
         expr6.setHeight(1);
         radioSort.setLabel("Sort By");
         radioSort.setHorizontal(true);
         radioSort.setItems(new ControlSetItem[]
         {
            new ControlSetItem(new character("Type"), new character("Type")),
            new ControlSetItem(new character("Source"), new character("Source")),
            new ControlSetItem(new character("Target"), new character("Target"))
         }, true);
         radioSort.setWidthChars(32);
         radioSort.setHeightChars(1);
         btnOk.setLabel("OK");
      }

      {
         addWidget("radioSort", "Radio-Sort", radioSort);
         addWidget("btnOk", "Btn_OK", btnOk);
         addWidget("browse1", "BROWSE-1", browse1);
         addWidget("browse1LinktypeColumn", "linktype", browse1LinktypeColumn);
         addWidget("browse1Expr12Column", "", browse1Expr12Column);
         addWidget("browse1Expr13Column", "", browse1Expr13Column);
         addWidget("expr4", "", expr4);
         addWidget("expr5", "", expr5);
         addWidget("expr6", "", expr6);
      }
   }
}
