&ANALYZE-SUSPEND _VERSION-NUMBER UIB_v9r12
&ANALYZE-RESUME
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CUSTOM _DEFINITIONS Procedure 
/*------------------------------------------------------------------------
    File        : 
    Purpose     :
    Syntax      :
    Description :
    Author(s)   :
    Created     :
    Notes       :
  ----------------------------------------------------------------------*/
/*          This .W file was created with the Progress AppBuilder.      */
/*----------------------------------------------------------------------*/
/* ***************************  Definitions  ************************** */
{adbgdef0.i}
/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME

&ANALYZE-SUSPEND _UIB-PREPROCESSOR-BLOCK 
/* ********************  Preprocessor Definitions  ******************** */
&Scoped-define PROCEDURE-TYPE Procedure
&Scoped-define DB-AWARE no

/* _UIB-PREPROCESSOR-BLOCK-END */
&ANALYZE-RESUME

/* ************************  Function Prototypes ********************** */
&IF DEFINED(EXCLUDE-FcCalculateStringValue) = 0 &THEN
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _FUNCTION-FORWARD FcCalculateStringValue Procedure 
FUNCTION FcCalculateStringValue RETURNS CHARACTER
    (INPUT  IcStringFormula AS CHARACTER,   /* "22 + 10" */
     INPUT  IcType          AS CHARACTER    /* Either Integer or Decimal */
     ) FORWARD.
/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME
&ENDIF
&IF DEFINED(EXCLUDE-FcClearCombo) = 0 &THEN
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _FUNCTION-FORWARD FcClearCombo Procedure 
FUNCTION FcClearCombo RETURNS CHARACTER
    (INPUT Ih AS HANDLE) FORWARD.
/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME
&ENDIF
&IF DEFINED(EXCLUDE-FcConvDataType) = 0 &THEN
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _FUNCTION-FORWARD FcConvDataType Procedure 
FUNCTION FcConvDataType RETURNS CHARACTER
  ( INPUT IcFromDataType AS CHAR )  FORWARD.
/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME
&ENDIF
&IF DEFINED(EXCLUDE-FcOrderStringList) = 0 &THEN
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _FUNCTION-FORWARD FcOrderStringList Procedure 
FUNCTION FcOrderStringList RETURNS CHARACTER
 (INPUT IcList       AS CHAR,
     INPUT IcDelimiter  AS CHAR,
     INPUT IlAscending  AS LOGICAL) FORWARD.
/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME
&ENDIF
&IF DEFINED(EXCLUDE-FcString_RemoveNonNumeric) = 0 &THEN
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _FUNCTION-FORWARD FcString_RemoveNonNumeric Procedure 
FUNCTION FcString_RemoveNonNumeric RETURNS CHARACTER
(INPUT IcInputString AS CHAR) FORWARD.
/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME
&ENDIF
/* *********************** Procedure Settings ************************ */
&ANALYZE-SUSPEND _PROCEDURE-SETTINGS
/* Settings for THIS-PROCEDURE
   Type: Procedure
   Allow: 
   Frames: 0
   Add Fields to: Neither
   Other Settings: CODE-ONLY
 */
&ANALYZE-RESUME _END-PROCEDURE-SETTINGS
/* *************************  Create Window  ************************** */
&ANALYZE-SUSPEND _CREATE-WINDOW
/* DESIGN Window definition (used by the UIB) 
  CREATE WINDOW Procedure ASSIGN
         HEIGHT             = 15
         WIDTH              = 60.
/* END WINDOW DEFINITION */
                                                                        */
&ANALYZE-RESUME
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CUSTOM _INCLUDED-LIB Procedure 
/* ************************* Included-Libraries *********************** */
{akvalml0.i}
/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME

 

&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CUSTOM _MAIN-BLOCK Procedure 

/* ***************************  Main Block  *************************** */
/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME

/* ************************  Function Implementations ***************** */
&IF DEFINED(EXCLUDE-FcCalculateStringValue) = 0 &THEN
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _FUNCTION FcCalculateStringValue Procedure 
FUNCTION FcCalculateStringValue RETURNS CHARACTER
    (INPUT  IcStringFormula AS CHARACTER,   /* "22 + 10" */
     INPUT  IcType          AS CHARACTER    /* Either Integer or Decimal */
     ):
    DEFINE VARIABLE VcStringFormula     AS CHARACTER    NO-UNDO.
    DEFINE VARIABLE VcSignList          AS CHARACTER    NO-UNDO.
    DEFINE VARIABLE ViCounter           AS INTEGER      NO-UNDO.
    DEFINE VARIABLE ViPosition          AS INTEGER      NO-UNDO.
    DEFINE VARIABLE VcValueList         AS CHARACTER    NO-UNDO.
    DEFINE VARIABLE ViValueResult       AS INTEGER      NO-UNDO.
    DEFINE VARIABLE ViValueDecResult    AS DECIMAL      NO-UNDO.
    
    ASSIGN VcStringFormula  = IcStringFormula.
    IF LOOKUP(VcStringFormula,"+,-,/,*") = 0 
    THEN DO:
            DO WHILE LENGTH(VcStringFormula) > 0:
                ViPosition  = INDEX(VcStringFormula,'+').
                IF ViPosition = 0
                THEN ViPosition = INDEX(VcStringFormula,'-').
                IF ViPosition = 0 
                THEN ViPosition = INDEX(VcStringFormula,'/').
                IF ViPosition = 0
                THEN ViPosition = INDEX(VcStringFormula,'*').
                IF ViPosition > 0 
                THEN    IF LENGTH(VcSignList) = 0 
                        THEN    VcSignList = SUBSTRING(VcStringFormula,ViPosition,1).
                        ELSE    VcSignList = VcSignList + ',' + SUBSTRING(VcStringFormula,ViPosition,1).
                IF LENGTH(VcValueList) = 0
                THEN    VcValueList = SUBSTRING(VcStringFormula,1,(ViPosition - 1)).
                ELSE    VcValueList = VcValueList + ',' + SUBSTRING(VcStringFormula,1,(IF ViPosition = 0 THEN LENGTH(VcStringFormula) ELSE (ViPosition - 1))).
           
                IF ViPosition > 0
                THEN    VcStringFormula = TRIM(SUBSTRING(VcStringFormula,(ViPosition + 1),LENGTH(VcStringFormula))).
                ELSE    VcStringFormula = "".
            END.
    END.
    ELSE    RETURN  IcStringFormula.
    
    IF IcType = "INTEGER":U
    THEN DO:
            DO ViCounter = 1 TO NUM-ENTRIES(VcSignList):
                IF ENTRY(ViCounter,VcSignList) = '+' 
                THEN    IF ViValueResult = 0
                        THEN    ViValueResult   = INT(ENTRY(ViCounter,VcValueList)) + INT(ENTRY((ViCounter + 1),VcValueList)).
                        ELSE    ViValueResult   = ViValueResult + INT(ENTRY((ViCounter + 1),VcValueList)).
        
                IF ENTRY(ViCounter,VcSignList) = '-' 
                THEN    IF ViValueResult = 0
                        THEN    ViValueResult   = INT(ENTRY(ViCounter,VcValueList)) - INT(ENTRY((ViCounter + 1),VcValueList)). 
                        ELSE    ViValueResult   = ViValueResult - INT(ENTRY((ViCounter + 1),VcValueList)).
                IF ENTRY(ViCounter,VcSignList) = '/' 
                THEN    IF ViValueResult = 0
                        THEN    ViValueResult   = INT(ENTRY(ViCounter,VcValueList)) / INT(ENTRY((ViCounter + 1),VcValueList)). 
                        ELSE    ViValueResult   = ViValueResult / INT(ENTRY((ViCounter + 1),VcValueList)).
                IF ENTRY(ViCounter,VcSignList) = '*' 
                THEN    IF ViValueResult = 0
                        THEN    ViValueResult   = INT(ENTRY(ViCounter,VcValueList)) * INT(ENTRY((ViCounter + 1),VcValueList)). 
                        ELSE    ViValueResult   = ViValueResult * INT(ENTRY((ViCounter + 1),VcValueList)).
            END.
            RETURN STRING(ViValueResult).
    END.
    IF IcType = "DECIMAL":U
    THEN DO:
             DO ViCounter = 1 TO NUM-ENTRIES(VcSignList):
                IF ENTRY(ViCounter,VcSignList) = '+' 
                THEN    IF ViValueDecResult = 0
                        THEN    ViValueDecResult   = DEC(ENTRY(ViCounter,VcValueList)) + DEC(ENTRY((ViCounter + 1),VcValueList)).
                        ELSE    ViValueDecResult   = ViValueDecResult + DEC(ENTRY((ViCounter + 1),VcValueList)).
        
                IF ENTRY(ViCounter,VcSignList) = '-' 
                THEN    IF ViValueDecResult = 0
                        THEN    ViValueDecResult   = DEC(ENTRY(ViCounter,VcValueList)) - DEC(ENTRY((ViCounter + 1),VcValueList)). 
                        ELSE    ViValueDecResult   = ViValueDecResult - DEC(ENTRY((ViCounter + 1),VcValueList)).
                IF ENTRY(ViCounter,VcSignList) = '/' 
                THEN    IF ViValueDecResult = 0
                        THEN    ViValueDecResult   = DEC(ENTRY(ViCounter,VcValueList)) / DEC(ENTRY((ViCounter + 1),VcValueList)). 
                        ELSE    ViValueDecResult   = ViValueDecResult / DEC(ENTRY((ViCounter + 1),VcValueList)).
                IF ENTRY(ViCounter,VcSignList) = '*' 
                THEN    IF ViValueDecResult = 0
                        THEN    ViValueDecResult   = DEC(ENTRY(ViCounter,VcValueList)) * DEC(ENTRY((ViCounter + 1),VcValueList)). 
                        ELSE    ViValueDecResult   = ViValueDecResult * DEC(ENTRY((ViCounter + 1),VcValueList)).
            END.
            RETURN STRING(ViValueDecResult).
    END.
    RETURN "".
END FUNCTION.
/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME
&ENDIF
&IF DEFINED(EXCLUDE-FcClearCombo) = 0 &THEN
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _FUNCTION FcClearCombo Procedure 
FUNCTION FcClearCombo RETURNS CHARACTER
    (INPUT Ih AS HANDLE):
  /* Clear a combo - handles LIST-ITEMS or LIST-ITEM-PAIRS */
  DEFINE VARIABLE VcTemp                AS CHAR             NO-UNDO.
  ASSIGN VcTemp = Ih:LIST-ITEM-PAIRS NO-ERROR.
  IF VcTemp = ? THEN
    Ih:LIST-ITEMS = Ih:LIST-ITEMS.
  ELSE
    Ih:LIST-ITEM-PAIRS = Ih:LIST-ITEM-PAIRS.
  RETURN "".   /* Function return value. */
END FUNCTION.
/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME
&ENDIF
&IF DEFINED(EXCLUDE-FcConvDataType) = 0 &THEN
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _FUNCTION FcConvDataType Procedure 
FUNCTION FcConvDataType RETURNS CHARACTER
  ( INPUT IcFromDataType AS CHAR ) :
/*------------------------------------------------------------------------------
  Purpose:  Convert one char data type to normal Progress one
    Notes:  
------------------------------------------------------------------------------*/
  IF IcFromDataType = "C" THEN 
    RETURN "CHARACTER".
  ELSE
  IF IcFromDataType = "I" THEN 
    RETURN "INTEGER".
  ELSE
  IF IcFromDataType = "D" THEN 
    RETURN "DATE".
  ELSE
  IF IcFromDataType = "L" THEN 
    RETURN "LOGICAL".
  ELSE
  IF IcFromDataType = "F" THEN 
    RETURN "DECIMAL".
  ELSE
  DO:
    MESSAGE "FcConvDataType does not recognise data type:" IcFromDataType
     VIEW-AS ALERT-BOX ERROR.
    RETURN "DONTKNOW".
  END.
END FUNCTION.
/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME
&ENDIF
&IF DEFINED(EXCLUDE-FcOrderStringList) = 0 &THEN
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _FUNCTION FcOrderStringList Procedure 
FUNCTION FcOrderStringList RETURNS CHARACTER
 (INPUT IcList       AS CHAR,
     INPUT IcDelimiter  AS CHAR,
     INPUT IlAscending  AS LOGICAL):
    DEFINE VARIABLE ViCnt           AS INTEGER    NO-UNDO.
    DEFINE VARIABLE ViCnt2          AS INTEGER    NO-UNDO.
    DEFINE VARIABLE VcOrderedList   AS CHARACTER  NO-UNDO.
    DEFINE VARIABLE VcTempList      AS CHARACTER  NO-UNDO.
    DEFINE VARIABLE VcValue         AS CHARACTER  NO-UNDO.
    DEFINE VARIABLE VcCheckValue    AS CHARACTER  NO-UNDO.
    DEFINE VARIABLE VlAdded         AS LOGICAL    NO-UNDO.
    
    DO ViCnt = 1 TO NUM-ENTRIES(IcList, IcDelimiter):
        VcValue = ENTRY(ViCnt, IcList, IcDelimiter).
        IF VcOrderedList = "" THEN
            VcOrderedList = VcValue.
        ELSE
        DO ViCnt2 = 1 TO NUM-ENTRIES(VcOrderedlist, IcDelimiter):
            VcCheckValue = ENTRY(ViCnt2, VcOrderedList, IcDelimiter).
            IF  NOT VlAdded         AND
                VcValue <= VcCheckValue THEN
                ASSIGN  VcTempList  = VcTempList + VcValue + IcDelimiter
                        VlAdded     = TRUE.
            VcTempList = VcTempList + VcCheckValue + IcDelimiter.
        END.
        IF NOT Vladded THEN
            VcTempList = VcTempList + VcValue.
        ASSIGN  VcOrderedList = TRIM(VcTempList, IcDelimiter)
                VcTempList = ""
                VlAdded = FALSE.
    END.
    RETURN VcOrderedList.
END FUNCTION.
/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME
&ENDIF
&IF DEFINED(EXCLUDE-FcString_RemoveNonNumeric) = 0 &THEN
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _FUNCTION FcString_RemoveNonNumeric Procedure 
FUNCTION FcString_RemoveNonNumeric RETURNS CHARACTER
(INPUT IcInputString AS CHAR):
    IF IcInputString = "" OR IcInputString = ? THEN
        RETURN IcInputString.
    DEFINE VARIABLE OcResultString                  AS CHAR             NO-UNDO.
    DEFINE VARIABLE ViCount                         AS INT              NO-UNDO.
    DEFINE VARIABLE VcCurrentChar                   AS CHAR             NO-UNDO.
    DO ViCount = 1 TO LENGTH(IcInputString):
        VcCurrentChar = SUBSTRING(IcInputString,ViCount,1).
        IF VcCurrentChar >= "0" AND VcCurrentChar <= "9" THEN
            OcResultString = OcResultString + VcCurrentChar.
    END.
    RETURN OcResultString.
END FUNCTION.
/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME
&ENDIF
