package com.goldencode.hotel.dmo._temp;

import com.goldencode.p2j.persist.*;
import com.goldencode.p2j.util.*;

/**
 * Data Model Object corresponding with a temporary table.
 */
public interface AppsrvTt_1
extends Temporary
{
   /**
    * Getter: partition
    * 
    * @return  partition
    */
   public character getPartition();

   /**
    * Setter: partition
    * 
    * @param   partition
    *          partition
    */
   public void setPartition(Text partition);

   /**
    * Getter: host
    * 
    * @return  host
    */
   public character getHost();

   /**
    * Setter: host
    * 
    * @param   host
    *          host
    */
   public void setHost(Text host);

   /**
    * Getter: service
    * 
    * @return  service
    */
   public character getService();

   /**
    * Setter: service
    * 
    * @param   service
    *          service
    */
   public void setService(Text service);

   /**
    * Getter: configuration
    * 
    * @return  configuration
    */
   public logical isConfiguration();

   /**
    * Setter: configuration
    * 
    * @param   configuration
    *          configuration
    */
   public void setConfiguration(logical configuration);

   /**
    * Getter: security
    * 
    * @return  security
    */
   public logical isSecurity();

   /**
    * Setter: security
    * 
    * @param   security
    *          security
    */
   public void setSecurity(logical security);

   /**
    * Getter: AppServer Information
    * 
    * @return  AppServer Information
    */
   public character getInfo();

   /**
    * Setter: AppServer Information
    * 
    * @param   info
    *          AppServer Information
    */
   public void setInfo(Text info);

   /**
    * Getter: asHandle
    * 
    * @return  asHandle
    */
   public handle getAsHandle();

   /**
    * Setter: asHandle
    * 
    * @param   asHandle
    *          asHandle
    */
   public void setAsHandle(handle asHandle);

   /**
    * Getter: Application Service
    * 
    * @return  Application Service
    */
   public character getAppService();

   /**
    * Setter: Application Service
    * 
    * @param   appService
    *          Application Service
    */
   public void setAppService(Text appService);

   /**
    * Getter: Pseudo connections
    * 
    * @return  Pseudo connections
    */
   public integer getConnCount();

   /**
    * Setter: Pseudo connections
    * 
    * @param   connCount
    *          Pseudo connections
    */
   public void setConnCount(NumberType connCount);

   /**
    * Getter: partitiontype
    * 
    * @return  partitiontype
    */
   public character getPartitiontype();

   /**
    * Setter: partitiontype
    * 
    * @param   partitiontype
    *          partitiontype
    */
   public void setPartitiontype(Text partitiontype);

   /**
    * Getter: serverurl
    * 
    * @return  serverurl
    */
   public character getServerurl();

   /**
    * Setter: serverurl
    * 
    * @param   serverurl
    *          serverurl
    */
   public void setServerurl(Text serverurl);

   /**
    * DMO interface for use by converted business logic.
    */
   public interface Buf
   extends AppsrvTt_1, Buffer
   {
   }
}
