package com.goldencode.hotel.dmo._temp;

import com.goldencode.p2j.persist.*;
import com.goldencode.p2j.util.*;

/**
 * Data Model Object corresponding with a temporary table.
 */
public interface Rowobject_1
extends Temporary
{
   /**
    * Getter: roomType
    * 
    * @return  roomType
    */
   public integer getRoomType();

   /**
    * Setter: roomType
    * 
    * @param   roomType
    *          roomType
    */
   public void setRoomType(NumberType roomType);

   /**
    * Getter: parentType
    * 
    * @return  parentType
    */
   public integer getParentType();

   /**
    * Setter: parentType
    * 
    * @param   parentType
    *          parentType
    */
   public void setParentType(NumberType parentType);

   /**
    * Getter: description
    * 
    * @return  description
    */
   public character getDescription();

   /**
    * Setter: description
    * 
    * @param   description
    *          description
    */
   public void setDescription(Text description);

   /**
    * Getter: rownum
    * 
    * @return  rownum
    */
   public integer getRownum();

   /**
    * Setter: rownum
    * 
    * @param   rownum
    *          rownum
    */
   public void setRownum(NumberType rownum);

   /**
    * Getter: rowident
    * 
    * @return  rowident
    */
   public character getRowident();

   /**
    * Setter: rowident
    * 
    * @param   rowident
    *          rowident
    */
   public void setRowident(Text rowident);

   /**
    * Getter: rowmod
    * 
    * @return  rowmod
    */
   public character getRowmod();

   /**
    * Setter: rowmod
    * 
    * @param   rowmod
    *          rowmod
    */
   public void setRowmod(Text rowmod);

   /**
    * Getter: rowidentidx
    * 
    * @return  rowidentidx
    */
   public character getRowidentidx();

   /**
    * Setter: rowidentidx
    * 
    * @param   rowidentidx
    *          rowidentidx
    */
   public void setRowidentidx(Text rowidentidx);

   /**
    * Getter: rowuserprop
    * 
    * @return  rowuserprop
    */
   public character getRowuserprop();

   /**
    * Setter: rowuserprop
    * 
    * @param   rowuserprop
    *          rowuserprop
    */
   public void setRowuserprop(Text rowuserprop);

   /**
    * DMO interface for use by converted business logic.
    */
   public interface Buf
   extends Rowobject_1, Buffer
   {
   }
}
