package com.goldencode.hotel.dmo._temp;

import com.goldencode.p2j.persist.*;
import com.goldencode.p2j.util.*;

/**
 * Data Model Object corresponding with a temporary table.
 */
public interface Ttschema_1
extends Temporary
{
   /**
    * Getter: sdoName
    * 
    * @return  sdoName
    */
   public character getSdoName();

   /**
    * Setter: sdoName
    * 
    * @param   sdoName
    *          sdoName
    */
   public void setSdoName(Text sdoName);

   /**
    * Getter: columnSequence
    * 
    * @return  columnSequence
    */
   public integer getColumnSequence();

   /**
    * Setter: columnSequence
    * 
    * @param   columnSequence
    *          columnSequence
    */
   public void setColumnSequence(NumberType columnSequence);

   /**
    * Getter: columnName
    * 
    * @return  columnName
    */
   public character getColumnName();

   /**
    * Setter: columnName
    * 
    * @param   columnName
    *          columnName
    */
   public void setColumnName(Text columnName);

   /**
    * Getter: databaseName
    * 
    * @return  databaseName
    */
   public character getDatabaseName();

   /**
    * Setter: databaseName
    * 
    * @param   databaseName
    *          databaseName
    */
   public void setDatabaseName(Text databaseName);

   /**
    * Getter: tableName
    * 
    * @return  tableName
    */
   public character getTableName();

   /**
    * Setter: tableName
    * 
    * @param   tableName
    *          tableName
    */
   public void setTableName(Text tableName);

   /**
    * Getter: tableSequence
    * 
    * @return  tableSequence
    */
   public integer getTableSequence();

   /**
    * Setter: tableSequence
    * 
    * @param   tableSequence
    *          tableSequence
    */
   public void setTableSequence(NumberType tableSequence);

   /**
    * Getter: tableLabel
    * 
    * @return  tableLabel
    */
   public character getTableLabel();

   /**
    * Setter: tableLabel
    * 
    * @param   tableLabel
    *          tableLabel
    */
   public void setTableLabel(Text tableLabel);

   /**
    * Getter: fieldName
    * 
    * @return  fieldName
    */
   public character getFieldName();

   /**
    * Setter: fieldName
    * 
    * @param   fieldName
    *          fieldName
    */
   public void setFieldName(Text fieldName);

   /**
    * Getter: columnDatatype
    * 
    * @return  columnDatatype
    */
   public character getColumnDatatype();

   /**
    * Setter: columnDatatype
    * 
    * @param   columnDatatype
    *          columnDatatype
    */
   public void setColumnDatatype(Text columnDatatype);

   /**
    * Getter: columnUpdatable
    * 
    * @return  columnUpdatable
    */
   public logical isColumnUpdatable();

   /**
    * Setter: columnUpdatable
    * 
    * @param   columnUpdatable
    *          columnUpdatable
    */
   public void setColumnUpdatable(logical columnUpdatable);

   /**
    * Getter: columnIndexed
    * 
    * @return  columnIndexed
    */
   public logical isColumnIndexed();

   /**
    * Setter: columnIndexed
    * 
    * @param   columnIndexed
    *          columnIndexed
    */
   public void setColumnIndexed(logical columnIndexed);

   /**
    * Getter: columnCaseSensitive
    * 
    * @return  columnCaseSensitive
    */
   public logical isColumnCaseSensitive();

   /**
    * Setter: columnCaseSensitive
    * 
    * @param   columnCaseSensitive
    *          columnCaseSensitive
    */
   public void setColumnCaseSensitive(logical columnCaseSensitive);

   /**
    * Getter: columnFormat
    * 
    * @return  columnFormat
    */
   public character getColumnFormat();

   /**
    * Setter: columnFormat
    * 
    * @param   columnFormat
    *          columnFormat
    */
   public void setColumnFormat(Text columnFormat);

   /**
    * Getter: columnLabel
    * 
    * @return  columnLabel
    */
   public character getColumnLabel();

   /**
    * Setter: columnLabel
    * 
    * @param   columnLabel
    *          columnLabel
    */
   public void setColumnLabel(Text columnLabel);

   /**
    * Getter: columnMandatory
    * 
    * @return  columnMandatory
    */
   public logical isColumnMandatory();

   /**
    * Setter: columnMandatory
    * 
    * @param   columnMandatory
    *          columnMandatory
    */
   public void setColumnMandatory(logical columnMandatory);

   /**
    * Getter: columnWidthChars
    * 
    * @return  columnWidthChars
    */
   public decimal getColumnWidthChars();

   /**
    * Setter: columnWidthChars
    * 
    * @param   columnWidthChars
    *          columnWidthChars
    */
   public void setColumnWidthChars(NumberType columnWidthChars);

   /**
    * Getter: indexPosition
    * 
    * @return  indexPosition
    */
   public character getIndexPosition();

   /**
    * Setter: indexPosition
    * 
    * @param   indexPosition
    *          indexPosition
    */
   public void setIndexPosition(Text indexPosition);

   /**
    * Getter: admColumn
    * 
    * @return  admColumn
    */
   public logical isAdmColumn();

   /**
    * Setter: admColumn
    * 
    * @param   admColumn
    *          admColumn
    */
   public void setAdmColumn(logical admColumn);

   /**
    * Getter: wordIndex
    * 
    * @return  wordIndex
    */
   public logical isWordIndex();

   /**
    * Setter: wordIndex
    * 
    * @param   wordIndex
    *          wordIndex
    */
   public void setWordIndex(logical wordIndex);

   /**
    * Getter: searchFrom
    * 
    * @return  searchFrom
    */
   public character getSearchFrom();

   /**
    * Setter: searchFrom
    * 
    * @param   searchFrom
    *          searchFrom
    */
   public void setSearchFrom(Text searchFrom);

   /**
    * Getter: searchTo
    * 
    * @return  searchTo
    */
   public character getSearchTo();

   /**
    * Setter: searchTo
    * 
    * @param   searchTo
    *          searchTo
    */
   public void setSearchTo(Text searchTo);

   /**
    * Getter: searchContains
    * 
    * @return  searchContains
    */
   public character getSearchContains();

   /**
    * Setter: searchContains
    * 
    * @param   searchContains
    *          searchContains
    */
   public void setSearchContains(Text searchContains);

   /**
    * Getter: searchMatches
    * 
    * @return  searchMatches
    */
   public character getSearchMatches();

   /**
    * Setter: searchMatches
    * 
    * @param   searchMatches
    *          searchMatches
    */
   public void setSearchMatches(Text searchMatches);

   /**
    * Getter: calculatedField
    * 
    * @return  calculatedField
    */
   public logical isCalculatedField();

   /**
    * Setter: calculatedField
    * 
    * @param   calculatedField
    *          calculatedField
    */
   public void setCalculatedField(logical calculatedField);

   /**
    * Getter: sdoHandle
    * 
    * @return  sdoHandle
    */
   public handle getSdoHandle();

   /**
    * Setter: sdoHandle
    * 
    * @param   sdoHandle
    *          sdoHandle
    */
   public void setSdoHandle(handle sdoHandle);

   /**
    * Getter: sdoOrder
    * 
    * @return  sdoOrder
    */
   public integer getSdoOrder();

   /**
    * Setter: sdoOrder
    * 
    * @param   sdoOrder
    *          sdoOrder
    */
   public void setSdoOrder(NumberType sdoOrder);

   /**
    * DMO interface for use by converted business logic.
    */
   public interface Buf
   extends Ttschema_1, Buffer
   {
   }
}
