package com.goldencode.hotel.ui;

import com.goldencode.p2j.util.*;
import com.goldencode.p2j.ui.*;

public interface RatesFrameFmain
extends CommonFrame
{
   public static final Class configClass = RatesFrameFmainDef.class;

   public logical isShowPastRates();

   public void setShowPastRates(logical parm);

   public void setShowPastRates(boolean parm);

   public void setShowPastRates(BaseDataType parm);

   public ToggleBoxWidget widgetShowPastRates();

   public BrowseWidget widgetRatesBrowse();

   public BrowseColumnWidget widgetRatesBrowseDescriptionColumn();

   public BrowseColumnWidget widgetRatesBrowseStartDateColumn();

   public BrowseColumnWidget widgetRatesBrowseEndDateColumn();

   public BrowseColumnWidget widgetRatesBrowseRateColumn();

   public ButtonWidget widgetAddButton();

   public ButtonWidget widgetDeleteButton();

   public ButtonWidget widgetUpdateButton();

   public ImageWidget widgetRoomTypeImage();

   public static class RatesFrameFmainDef
   extends WidgetList
   {
      ToggleBoxWidget showPastRates = new ToggleBoxWidget();

      BrowseWidget ratesBrowse = new BrowseWidget();

      BrowseColumnWidget ratesBrowseDescriptionColumn = new BrowseColumnWidget();

      BrowseColumnWidget ratesBrowseStartDateColumn = new BrowseColumnWidget();

      BrowseColumnWidget ratesBrowseEndDateColumn = new BrowseColumnWidget();

      BrowseColumnWidget ratesBrowseRateColumn = new BrowseColumnWidget();

      ButtonWidget addButton = new ButtonWidget();

      ButtonWidget deleteButton = new ButtonWidget();

      ButtonWidget updateButton = new ButtonWidget();

      ImageWidget roomTypeImage = new ImageWidget();

      public void setup(CommonFrame frame)
      {
         frame.setDown(1);
         frame.setNoBox(true);
         frame.setKeepTabOrder(true);
         frame.setOverlay(true);
         frame.setSideLabels(true);
         frame.setNoUnderline(true);
         frame.setThreeD(true);
         frame.setColumn(1);
         frame.setRow(1);
         frame.setWidthChars(125.1);
         frame.setHeightChars(15.38);
         frame.setScrollable(true);
         frame.setFont(8);
         showPastRates.setDataType("logical");
         showPastRates.setRow(1.48);
         showPastRates.setColumn(33);
         showPastRates.setWidgetId(4);
         ratesBrowse.setRow(2.67);
         ratesBrowse.setColumn(4);
         ratesBrowse.setWidgetId(200);
         ratesBrowse.setNoRowMarkers(true);
         ratesBrowse.setSeparators(true);
         ratesBrowse.setWidthChars(68);
         ratesBrowse.setHeightChars(10.95);
         ratesBrowse.setFont(8);
         ratesBrowse.setFitLastColumn(true);
         ratesBrowse.addColumn(ratesBrowseDescriptionColumn);
         ratesBrowseDescriptionColumn.setDataType("character");
         ratesBrowseDescriptionColumn.setColumnLabel("Room Type");
         ratesBrowseDescriptionColumn.setFormat("x(20)");
         ratesBrowseDescriptionColumn.setWidthChars(27.2);
         ratesBrowseDescriptionColumn.setLabel("Description");
         ratesBrowse.addColumn(ratesBrowseStartDateColumn);
         ratesBrowseStartDateColumn.setDataType("date");
         ratesBrowseStartDateColumn.setFormat("99/99/99");
         ratesBrowseStartDateColumn.setWidthChars(10.2);
         ratesBrowseStartDateColumn.setLabel("Start Date");
         ratesBrowseStartDateColumn.setColumnLabel("Start Date");
         ratesBrowse.addColumn(ratesBrowseEndDateColumn);
         ratesBrowseEndDateColumn.setDataType("date");
         ratesBrowseEndDateColumn.setFormat("99/99/99");
         ratesBrowseEndDateColumn.setWidthChars(10.2);
         ratesBrowseEndDateColumn.setLabel("End Date");
         ratesBrowseEndDateColumn.setColumnLabel("End Date");
         ratesBrowse.addColumn(ratesBrowseRateColumn);
         ratesBrowseRateColumn.setDataType("decimal");
         ratesBrowseRateColumn.setFormat("$ >>>,>>9.99");
         ratesBrowseRateColumn.setLabel("Rate");
         ratesBrowseRateColumn.setColumnLabel("Rate");
         addButton.setWidthChars(15);
         addButton.setHeightChars(1.14);
         addButton.setRow(14.33);
         addButton.setColumn(5);
         addButton.setWidgetId(6);
         deleteButton.setWidthChars(15);
         deleteButton.setHeightChars(1.14);
         deleteButton.setRow(14.33);
         deleteButton.setColumn(22);
         deleteButton.setWidgetId(8);
         updateButton.setWidthChars(15);
         updateButton.setHeightChars(1.14);
         updateButton.setRow(14.33);
         updateButton.setColumn(39);
         updateButton.setWidgetId(10);
         roomTypeImage.setImage("graphics/double.jpg");
         roomTypeImage.setWidthPixels(250);
         roomTypeImage.setHeightPixels(167);
         roomTypeImage.setY(35);
         roomTypeImage.setX(365);
         roomTypeImage.setWidgetId(12);
         deleteButton.setLabel("Delete...");
         addButton.setLabel("Add...");
         updateButton.setLabel("Update...");
         roomTypeImage.setLabel("roomTypeImage");
         showPastRates.setLabel("Show Past Rates");
         showPastRates.setWidthChars(24);
         showPastRates.setHeightChars(.81);
      }

      {
         addWidget("showPastRates", "showPastRates", showPastRates);
         addWidget("ratesBrowse", "ratesBrowse", ratesBrowse);
         addWidget("ratesBrowseDescriptionColumn", "description", ratesBrowseDescriptionColumn);
         addWidget("ratesBrowseStartDateColumn", "start-date", ratesBrowseStartDateColumn);
         addWidget("ratesBrowseEndDateColumn", "end-date", ratesBrowseEndDateColumn);
         addWidget("ratesBrowseRateColumn", "rate", ratesBrowseRateColumn);
         addWidget("addButton", "addButton", addButton);
         addWidget("deleteButton", "deleteButton", deleteButton);
         addWidget("updateButton", "updateButton", updateButton);
         addWidget("roomTypeImage", "roomTypeImage", roomTypeImage);
      }
   }
}
