package com.goldencode.hotel.ui;

import com.goldencode.p2j.util.*;
import com.goldencode.p2j.ui.*;

public interface ReservationsFrameFmain
extends CommonFrame
{
   public static final Class configClass = ReservationsFrameFmainDef.class;

   public ButtonWidget widgetReselFilters();

   public integer getFilterRoom();

   public void setFilterRoom(integer parm);

   public void setFilterRoom(int parm);

   public void setFilterRoom(BaseDataType parm);

   public FillInWidget widgetFilterRoom();

   public character getFindGuest();

   public void setFindGuest(character parm);

   public void setFindGuest(String parm);

   public void setFindGuest(BaseDataType parm);

   public FillInWidget widgetFindGuest();

   public ButtonWidget widgetSearchButton();

   public BrowseWidget widgetReservationsBrowse();

   public BrowseColumnWidget widgetReservationsBrowseRoomNumColumn();

   public BrowseColumnWidget widgetReservationsBrowseGuestColumn();

   public BrowseColumnWidget widgetReservationsBrowseNumGuestsColumn();

   public BrowseColumnWidget widgetReservationsBrowseStartDateColumn();

   public BrowseColumnWidget widgetReservationsBrowseEndDateColumn();

   public BrowseColumnWidget widgetReservationsBrowseExpr24Column();

   public BrowseColumnWidget widgetReservationsBrowseDescriptionColumn();

   public BrowseColumnWidget widgetReservationsBrowsePriceColumn();

   public ButtonWidget widgetAddButton();

   public ButtonWidget widgetUpdateButton();

   public ButtonWidget widgetDeleteButton();

   public ButtonWidget widgetCheckIn();

   public static class ReservationsFrameFmainDef
   extends WidgetList
   {
      ButtonWidget reselFilters = new ButtonWidget();

      FillInWidget filterRoom = new FillInWidget();

      FillInWidget findGuest = new FillInWidget();

      ButtonWidget searchButton = new ButtonWidget();

      BrowseWidget reservationsBrowse = new BrowseWidget();

      BrowseColumnWidget reservationsBrowseRoomNumColumn = new BrowseColumnWidget();

      BrowseColumnWidget reservationsBrowseGuestColumn = new BrowseColumnWidget();

      BrowseColumnWidget reservationsBrowseNumGuestsColumn = new BrowseColumnWidget();

      BrowseColumnWidget reservationsBrowseStartDateColumn = new BrowseColumnWidget();

      BrowseColumnWidget reservationsBrowseEndDateColumn = new BrowseColumnWidget();

      BrowseColumnWidget reservationsBrowseExpr24Column = new BrowseColumnWidget();

      BrowseColumnWidget reservationsBrowseDescriptionColumn = new BrowseColumnWidget();

      BrowseColumnWidget reservationsBrowsePriceColumn = new BrowseColumnWidget();

      ButtonWidget addButton = new ButtonWidget();

      ButtonWidget updateButton = new ButtonWidget();

      ButtonWidget deleteButton = new ButtonWidget();

      ButtonWidget checkIn = new ButtonWidget();

      public void setup(CommonFrame frame)
      {
         frame.setDown(1);
         frame.setNoBox(true);
         frame.setKeepTabOrder(true);
         frame.setOverlay(true);
         frame.setSideLabels(true);
         frame.setNoUnderline(true);
         frame.setThreeD(true);
         frame.setColumn(1);
         frame.setRow(1);
         frame.setWidthChars(125.1);
         frame.setHeightChars(15.38);
         frame.setScrollable(true);
         frame.setFont(8);
         reselFilters.setNoFocus(true);
         reselFilters.setWidthChars(15);
         reselFilters.setHeightChars(1);
         reselFilters.setRow(1.48);
         reselFilters.setColumn(100.6);
         reselFilters.setWidgetId(18);
         filterRoom.setDataType("integer");
         filterRoom.setRow(1.48);
         filterRoom.setColumn(17.6);
         filterRoom.setAlign(ControlEntity.ALIGN_COLON);
         filterRoom.setWidgetId(20);
         findGuest.setDataType("character");
         findGuest.setRow(1.48);
         findGuest.setColumn(50.6);
         findGuest.setAlign(ControlEntity.ALIGN_COLON);
         findGuest.setWidgetId(16);
         searchButton.setWidthChars(15);
         searchButton.setHeightChars(1);
         searchButton.setRow(1.48);
         searchButton.setColumn(81.6);
         searchButton.setWidgetId(28);
         reservationsBrowse.setRow(3.38);
         reservationsBrowse.setColumn(4);
         reservationsBrowse.setWidgetId(200);
         reservationsBrowse.setNoRowMarkers(true);
         reservationsBrowse.setSeparators(true);
         reservationsBrowse.setWidthChars(119);
         reservationsBrowse.setHeightChars(10.48);
         reservationsBrowse.setFont(8);
         reservationsBrowse.setFitLastColumn(true);
         reservationsBrowse.addColumn(reservationsBrowseRoomNumColumn);
         reservationsBrowseRoomNumColumn.setDataType("integer");
         reservationsBrowseRoomNumColumn.setColumnLabel("Room Num");
         reservationsBrowseRoomNumColumn.setFormat(">>>>9");
         reservationsBrowseRoomNumColumn.setWidthChars(11.2);
         reservationsBrowseRoomNumColumn.setLabel("Room Number");
         reservationsBrowse.addColumn(reservationsBrowseGuestColumn);
         reservationsBrowseGuestColumn.setDataType("character");
         reservationsBrowseGuestColumn.setFormat("x(20)");
         reservationsBrowseGuestColumn.setWidthChars(22.2);
         reservationsBrowseGuestColumn.setLabel("Guest");
         reservationsBrowseGuestColumn.setColumnLabel("Guest");
         reservationsBrowse.addColumn(reservationsBrowseNumGuestsColumn);
         reservationsBrowseNumGuestsColumn.setDataType("integer");
         reservationsBrowseNumGuestsColumn.setColumnLabel("Num Guests");
         reservationsBrowseNumGuestsColumn.setFormat(">9");
         reservationsBrowseNumGuestsColumn.setLabel("Number of Guests");
         reservationsBrowse.addColumn(reservationsBrowseStartDateColumn);
         reservationsBrowseStartDateColumn.setDataType("date");
         reservationsBrowseStartDateColumn.setColumnLabel("Check-in");
         reservationsBrowseStartDateColumn.setFormat("99/99/99");
         reservationsBrowseStartDateColumn.setWidthChars(10.6);
         reservationsBrowseStartDateColumn.setLabel("Check-in Date");
         reservationsBrowse.addColumn(reservationsBrowseEndDateColumn);
         reservationsBrowseEndDateColumn.setDataType("date");
         reservationsBrowseEndDateColumn.setColumnLabel("Check-out");
         reservationsBrowseEndDateColumn.setFormat("99/99/99");
         reservationsBrowseEndDateColumn.setWidthChars(12.2);
         reservationsBrowseEndDateColumn.setLabel("Check-out Date");
         reservationsBrowse.addColumn(reservationsBrowseExpr24Column);
         reservationsBrowseExpr24Column.setDataType("integer");
         reservationsBrowseExpr24Column.setColumnLabel("Days");
         reservationsBrowseExpr24Column.setWidthChars(5.4);
         reservationsBrowseExpr24Column.setLabel("");
         reservationsBrowse.addColumn(reservationsBrowseDescriptionColumn);
         reservationsBrowseDescriptionColumn.setDataType("character");
         reservationsBrowseDescriptionColumn.setColumnLabel("Room Type");
         reservationsBrowseDescriptionColumn.setFormat("x(20)");
         reservationsBrowseDescriptionColumn.setLabel("Description");
         reservationsBrowse.addColumn(reservationsBrowsePriceColumn);
         reservationsBrowsePriceColumn.setDataType("decimal");
         reservationsBrowsePriceColumn.setColumnLabel("Room Price");
         reservationsBrowsePriceColumn.setFormat("$ >>>,>>9.99");
         reservationsBrowsePriceColumn.setWidthChars(15.8);
         reservationsBrowsePriceColumn.setLabel("Price");
         addButton.setWidthChars(15);
         addButton.setHeightChars(1.14);
         addButton.setRow(14.38);
         addButton.setColumn(4.2);
         addButton.setWidgetId(4);
         updateButton.setWidthChars(15);
         updateButton.setHeightChars(1.14);
         updateButton.setRow(14.38);
         updateButton.setColumn(21.6);
         updateButton.setWidgetId(8);
         deleteButton.setWidthChars(15);
         deleteButton.setHeightChars(1.14);
         deleteButton.setRow(14.38);
         deleteButton.setColumn(39);
         deleteButton.setWidgetId(6);
         checkIn.setWidthChars(15);
         checkIn.setHeightChars(1.14);
         checkIn.setRow(14.38);
         checkIn.setColumn(56.2);
         checkIn.setWidgetId(26);
         searchButton.setLabel("Search");
         deleteButton.setLabel("Delete...");
         checkIn.setLabel("Check-In...");
         addButton.setLabel("Add...");
         updateButton.setLabel("Update...");
         filterRoom.setFormat(">>>>>");
         filterRoom.setLabel("Filter by Room");
         filterRoom.setWidthChars(14);
         filterRoom.setHeightChars(1);
         reselFilters.setLabel("Reset Filters");
         findGuest.setFormat("X(256)");
         findGuest.setLabel("Filter by Guest");
         findGuest.setWidthChars(25);
         findGuest.setHeightChars(1);
      }

      {
         addWidget("reselFilters", "reselFilters", reselFilters);
         addWidget("filterRoom", "filterRoom", filterRoom);
         addWidget("findGuest", "findGuest", findGuest);
         addWidget("searchButton", "searchButton", searchButton);
         addWidget("reservationsBrowse", "reservationsBrowse", reservationsBrowse);
         addWidget("reservationsBrowseRoomNumColumn", "room-num", reservationsBrowseRoomNumColumn);
         addWidget("reservationsBrowseGuestColumn", "guest", reservationsBrowseGuestColumn);
         addWidget("reservationsBrowseNumGuestsColumn", "num-guests", reservationsBrowseNumGuestsColumn);
         addWidget("reservationsBrowseStartDateColumn", "start-date", reservationsBrowseStartDateColumn);
         addWidget("reservationsBrowseEndDateColumn", "end-date", reservationsBrowseEndDateColumn);
         addWidget("reservationsBrowseExpr24Column", "", reservationsBrowseExpr24Column);
         addWidget("reservationsBrowseDescriptionColumn", "description", reservationsBrowseDescriptionColumn);
         addWidget("reservationsBrowsePriceColumn", "price", reservationsBrowsePriceColumn);
         addWidget("addButton", "addButton", addButton);
         addWidget("updateButton", "updateButton", updateButton);
         addWidget("deleteButton", "deleteButton", deleteButton);
         addWidget("checkIn", "checkIn", checkIn);
      }
   }
}
