package com.goldencode.hotel.ui;

import com.goldencode.p2j.util.*;
import com.goldencode.p2j.ui.*;

public interface RoomsFrameFmain
extends CommonFrame
{
   public static final Class configClass = RoomsFrameFmainDef.class;

   public character getFloorSelect();

   public void setFloorSelect(character parm);

   public void setFloorSelect(String parm);

   public void setFloorSelect(BaseDataType parm);

   public ComboBoxWidget widgetFloorSelect();

   public integer getFindRoom();

   public void setFindRoom(integer parm);

   public void setFindRoom(int parm);

   public void setFindRoom(BaseDataType parm);

   public FillInWidget widgetFindRoom();

   public ButtonWidget widgetFindButton();

   public BrowseWidget widgetRoomsBrowse();

   public BrowseColumnWidget widgetRoomsBrowseRoomNumColumn();

   public BrowseColumnWidget widgetRoomsBrowseFloorColumn();

   public BrowseColumnWidget widgetRoomsBrowseDescriptionColumn();

   public BrowseColumnWidget widgetRoomsBrowseActiveColumn();

   public ButtonWidget widgetAddRooms();

   public ButtonWidget widgetDeleteRooms();

   public ButtonWidget widgetUpdateRoom();

   public ButtonWidget widgetActivateRooms();

   public static class RoomsFrameFmainDef
   extends WidgetList
   {
      ComboBoxWidget floorSelect = new ComboBoxWidget();

      FillInWidget findRoom = new FillInWidget();

      ButtonWidget findButton = new ButtonWidget();

      BrowseWidget roomsBrowse = new BrowseWidget();

      BrowseColumnWidget roomsBrowseRoomNumColumn = new BrowseColumnWidget();

      BrowseColumnWidget roomsBrowseFloorColumn = new BrowseColumnWidget();

      BrowseColumnWidget roomsBrowseDescriptionColumn = new BrowseColumnWidget();

      BrowseColumnWidget roomsBrowseActiveColumn = new BrowseColumnWidget();

      ButtonWidget addRooms = new ButtonWidget();

      ButtonWidget deleteRooms = new ButtonWidget();

      ButtonWidget updateRoom = new ButtonWidget();

      ButtonWidget activateRooms = new ButtonWidget();

      public void setup(CommonFrame frame)
      {
         frame.setDown(1);
         frame.setNoBox(true);
         frame.setKeepTabOrder(true);
         frame.setOverlay(true);
         frame.setSideLabels(true);
         frame.setNoUnderline(true);
         frame.setThreeD(true);
         frame.setColumn(1);
         frame.setRow(1);
         frame.setWidthChars(125.1);
         frame.setHeightChars(15.38);
         frame.setScrollable(true);
         frame.setFont(8);
         floorSelect.setDataType("character");
         floorSelect.setRow(1.48);
         floorSelect.setColumn(18);
         floorSelect.setAlign(ControlEntity.ALIGN_COLON);
         floorSelect.setWidgetId(2);
         findRoom.setDataType("integer");
         findRoom.setRow(1.48);
         findRoom.setColumn(53);
         findRoom.setAlign(ControlEntity.ALIGN_COLON);
         findRoom.setWidgetId(4);
         findButton.setWidthChars(15);
         findButton.setHeightChars(1);
         findButton.setRow(1.48);
         findButton.setColumn(74);
         findButton.setWidgetId(14);
         roomsBrowse.setRow(3.05);
         roomsBrowse.setColumn(4);
         roomsBrowse.setWidgetId(200);
         roomsBrowse.setNoRowMarkers(true);
         roomsBrowse.setSeparators(true);
         roomsBrowse.setMultiple(true);
         roomsBrowse.setWidthChars(119);
         roomsBrowse.setHeightChars(10.57);
         roomsBrowse.setFont(8);
         roomsBrowse.setFitLastColumn(true);
         roomsBrowse.addColumn(roomsBrowseRoomNumColumn);
         roomsBrowseRoomNumColumn.setDataType("integer");
         roomsBrowseRoomNumColumn.setFormat(">>>>9");
         roomsBrowseRoomNumColumn.setWidthChars(16.2);
         roomsBrowseRoomNumColumn.setLabel("Room Number");
         roomsBrowseRoomNumColumn.setColumnLabel("Room Number");
         roomsBrowse.addColumn(roomsBrowseFloorColumn);
         roomsBrowseFloorColumn.setDataType("integer");
         roomsBrowseFloorColumn.setFormat(">9");
         roomsBrowseFloorColumn.setWidthChars(9.2);
         roomsBrowseFloorColumn.setLabel("Floor");
         roomsBrowseFloorColumn.setColumnLabel("Floor");
         roomsBrowse.addColumn(roomsBrowseDescriptionColumn);
         roomsBrowseDescriptionColumn.setDataType("character");
         roomsBrowseDescriptionColumn.setColumnLabel("Room Type");
         roomsBrowseDescriptionColumn.setFormat("x(20)");
         roomsBrowseDescriptionColumn.setWidthChars(77.2);
         roomsBrowseDescriptionColumn.setLabel("Description");
         roomsBrowse.addColumn(roomsBrowseActiveColumn);
         roomsBrowseActiveColumn.setDataType("logical");
         roomsBrowseActiveColumn.setFormat("yes/no");
         roomsBrowseActiveColumn.setLabel("Active");
         roomsBrowseActiveColumn.setColumnLabel("Active");
         addRooms.setWidthChars(19);
         addRooms.setHeightChars(1.14);
         addRooms.setRow(14.1);
         addRooms.setColumn(5);
         addRooms.setWidgetId(6);
         deleteRooms.setWidthChars(21);
         deleteRooms.setHeightChars(1.14);
         deleteRooms.setRow(14.1);
         deleteRooms.setColumn(27);
         deleteRooms.setWidgetId(8);
         updateRoom.setWidthChars(21);
         updateRoom.setHeightChars(1.14);
         updateRoom.setRow(14.1);
         updateRoom.setColumn(51);
         updateRoom.setWidgetId(12);
         activateRooms.setWidthChars(33);
         activateRooms.setHeightChars(1.14);
         activateRooms.setRow(14.1);
         activateRooms.setColumn(75);
         activateRooms.setWidgetId(10);
         deleteRooms.setLabel("Delete Rooms...");
         findRoom.setFormat(">>>>>");
         findRoom.setLabel("Find Room");
         findRoom.setWidthChars(14);
         findRoom.setHeightChars(1);
         findButton.setLabel("Find");
         addRooms.setLabel("Add Rooms...");
         floorSelect.setFormat("X(256)");
         floorSelect.setLabel("Floor");
         floorSelect.setInitialInnerLines(5);
         floorSelect.setModeDropDownList(true);
         floorSelect.setWidthChars(19);
         floorSelect.setHeightChars(1);
         activateRooms.setLabel("Activate/Deactivate Rooms...");
         updateRoom.setLabel("Update Room...");
      }

      {
         addWidget("floorSelect", "floorSelect", floorSelect);
         addWidget("findRoom", "findRoom", findRoom);
         addWidget("findButton", "findButton", findButton);
         addWidget("roomsBrowse", "roomsBrowse", roomsBrowse);
         addWidget("roomsBrowseRoomNumColumn", "room-num", roomsBrowseRoomNumColumn);
         addWidget("roomsBrowseFloorColumn", "floor", roomsBrowseFloorColumn);
         addWidget("roomsBrowseDescriptionColumn", "description", roomsBrowseDescriptionColumn);
         addWidget("roomsBrowseActiveColumn", "active", roomsBrowseActiveColumn);
         addWidget("addRooms", "addRooms", addRooms);
         addWidget("deleteRooms", "deleteRooms", deleteRooms);
         addWidget("updateRoom", "updateRoom", updateRoom);
         addWidget("activateRooms", "activateRooms", activateRooms);
      }
   }
}
