package com.goldencode.hotel.ui;

import com.goldencode.p2j.util.*;
import com.goldencode.p2j.ui.*;

public interface UpdateStayDialogGdialog
extends CommonFrame
{
   public static final Class configClass = UpdateStayDialogGdialogDef.class;

   public character getRoomNumber();

   public void setRoomNumber(character parm);

   public void setRoomNumber(String parm);

   public void setRoomNumber(BaseDataType parm);

   public ComboBoxWidget widgetRoomNumber();

   public BrowseWidget widgetGuests();

   public BrowseColumnWidget widgetGuestsOrderColumn();

   public BrowseColumnWidget widgetGuestsExpr72Column();

   public ButtonWidget widgetAddGuest();

   public ButtonWidget widgetUpdateGuest();

   public date getStartDate();

   public void setStartDate(date parm);

   public void setStartDate(BaseDataType parm);

   public FillInWidget widgetStartDate();

   public ButtonWidget widgetViewGuest();

   public date getEndDate();

   public void setEndDate(date parm);

   public void setEndDate(BaseDataType parm);

   public FillInWidget widgetEndDate();

   public ButtonWidget widgetEndDatePicker();

   public ButtonWidget widgetDeleteGuest();

   public BrowseWidget widgetServices();

   public BrowseColumnWidget widgetServicesDescriptionColumn();

   public BrowseColumnWidget widgetServicesServiceDateColumn();

   public BrowseColumnWidget widgetServicesAmountColumn();

   public ButtonWidget widgetAddService();

   public ButtonWidget widgetDeleteService();

   public ButtonWidget widgetBtnOk();

   public ButtonWidget widgetBtnCancel();

   public ButtonWidget widgetStartDatePicker();

   public character getRoomType();

   public void setRoomType(character parm);

   public void setRoomType(String parm);

   public void setRoomType(BaseDataType parm);

   public TextWidget widgetRoomType();

   public integer getReservationDays();

   public void setReservationDays(integer parm);

   public void setReservationDays(int parm);

   public void setReservationDays(BaseDataType parm);

   public TextWidget widgetReservationDays();

   public character getPriceText();

   public void setPriceText(character parm);

   public void setPriceText(String parm);

   public void setPriceText(BaseDataType parm);

   public TextWidget widgetPriceText();

   public integer getTotalServices();

   public void setTotalServices(integer parm);

   public void setTotalServices(int parm);

   public void setTotalServices(BaseDataType parm);

   public TextWidget widgetTotalServices();

   public integer getTotalPrice();

   public void setTotalPrice(integer parm);

   public void setTotalPrice(int parm);

   public void setTotalPrice(BaseDataType parm);

   public TextWidget widgetTotalPrice();

   public static class UpdateStayDialogGdialogDef
   extends WidgetList
   {
      ComboBoxWidget roomNumber = new ComboBoxWidget();

      BrowseWidget guests = new BrowseWidget();

      BrowseColumnWidget guestsOrderColumn = new BrowseColumnWidget();

      BrowseColumnWidget guestsExpr72Column = new BrowseColumnWidget();

      ButtonWidget addGuest = new ButtonWidget();

      ButtonWidget updateGuest = new ButtonWidget();

      FillInWidget startDate = new FillInWidget();

      ButtonWidget viewGuest = new ButtonWidget();

      FillInWidget endDate = new FillInWidget();

      ButtonWidget endDatePicker = new ButtonWidget();

      ButtonWidget deleteGuest = new ButtonWidget();

      BrowseWidget services = new BrowseWidget();

      BrowseColumnWidget servicesDescriptionColumn = new BrowseColumnWidget();

      BrowseColumnWidget servicesServiceDateColumn = new BrowseColumnWidget();

      BrowseColumnWidget servicesAmountColumn = new BrowseColumnWidget();

      ButtonWidget addService = new ButtonWidget();

      ButtonWidget deleteService = new ButtonWidget();

      ButtonWidget btnOk = new ButtonWidget();

      ButtonWidget btnCancel = new ButtonWidget();

      ButtonWidget startDatePicker = new ButtonWidget();

      TextWidget roomType = new TextWidget();

      TextWidget reservationDays = new TextWidget();

      TextWidget priceText = new TextWidget();

      TextWidget totalServices = new TextWidget();

      TextWidget totalPrice = new TextWidget();

      SkipEntity expr21 = new SkipEntity();

      SkipEntity expr22 = new SkipEntity();

      public void setup(CommonFrame frame)
      {
         frame.setDown(1);
         frame.setDialogBox(true);
         frame.setKeepTabOrder(true);
         frame.setSideLabels(true);
         frame.setNoUnderline(true);
         frame.setThreeD(true);
         frame.setScrollable(true);
         frame.setFont(8);
         frame.setTitle("Check-In");
         frame.setDefaultButtonOption(btnOk);
         frame.setCancelButtonOption(btnCancel);
         roomNumber.setDataType("character");
         roomNumber.setRow(1.48);
         roomNumber.setColumn(15.2);
         roomNumber.setAlign(ControlEntity.ALIGN_COLON);
         roomNumber.setWidgetId(4);
         guests.setRow(1.48);
         guests.setColumn(52.2);
         guests.setWidgetId(200);
         guests.setNoRowMarkers(true);
         guests.setSeparators(true);
         guests.setWidthChars(44);
         guests.setHeightChars(5.62);
         guests.setFont(8);
         guests.setFitLastColumn(true);
         guests.addColumn(guestsOrderColumn);
         guestsOrderColumn.setDataType("integer");
         guestsOrderColumn.setColumnLabel("");
         guestsOrderColumn.setFormat(">9");
         guestsOrderColumn.setLabel("Display Order");
         guests.addColumn(guestsExpr72Column);
         guestsExpr72Column.setDataType("character");
         guestsExpr72Column.setColumnLabel("Guest Name");
         guestsExpr72Column.setFormat("x(40)");
         guestsExpr72Column.setLabel("");
         addGuest.setWidthChars(13);
         addGuest.setHeightChars(1.14);
         addGuest.setRow(1.57);
         addGuest.setColumn(98.2);
         addGuest.setWidgetId(32);
         updateGuest.setWidthChars(13);
         updateGuest.setHeightChars(1.14);
         updateGuest.setRow(3);
         updateGuest.setColumn(98.2);
         updateGuest.setWidgetId(34);
         startDate.setDataType("date");
         startDate.setRow(4.05);
         startDate.setColumn(15.2);
         startDate.setAlign(ControlEntity.ALIGN_COLON);
         startDate.setWidgetId(18);
         viewGuest.setWidthChars(13);
         viewGuest.setHeightChars(1.14);
         viewGuest.setRow(4.43);
         viewGuest.setColumn(98.2);
         viewGuest.setWidgetId(38);
         endDate.setDataType("date");
         endDate.setRow(5.52);
         endDate.setColumn(15.2);
         endDate.setAlign(ControlEntity.ALIGN_COLON);
         endDate.setWidgetId(16);
         endDatePicker.setImageUp("graphics/calendar.bmp");
         endDatePicker.setImageIns("graphics/calendar-disabled.bmp");
         endDatePicker.setNoFocus(true);
         endDatePicker.setWidthChars(6);
         endDatePicker.setHeightChars(1.19);
         endDatePicker.setRow(5.43);
         endDatePicker.setColumn(32.8);
         endDatePicker.setWidgetId(14);
         deleteGuest.setWidthChars(13);
         deleteGuest.setHeightChars(1.14);
         deleteGuest.setRow(5.86);
         deleteGuest.setColumn(98.2);
         deleteGuest.setWidgetId(36);
         services.setRow(8.24);
         services.setColumn(52);
         services.setWidgetId(300);
         services.setNoRowMarkers(true);
         services.setSeparators(true);
         services.setWidthChars(44);
         services.setHeightChars(4.52);
         services.setFont(8);
         services.setFitLastColumn(true);
         services.addColumn(servicesDescriptionColumn);
         servicesDescriptionColumn.setDataType("character");
         servicesDescriptionColumn.setColumnLabel("Service");
         servicesDescriptionColumn.setFormat("x(20)");
         servicesDescriptionColumn.setWidthChars(18.2);
         servicesDescriptionColumn.setLabel("Description");
         services.addColumn(servicesServiceDateColumn);
         servicesServiceDateColumn.setDataType("date");
         servicesServiceDateColumn.setFormat("99/99/99");
         servicesServiceDateColumn.setLabel("Date");
         servicesServiceDateColumn.setColumnLabel("Date");
         services.addColumn(servicesAmountColumn);
         servicesAmountColumn.setDataType("decimal");
         servicesAmountColumn.setColumnLabel("Amount");
         servicesAmountColumn.setFormat("->>,>>9.99");
         servicesAmountColumn.setWidthChars(10.6);
         servicesAmountColumn.setLabel("Charge Amount");
         addService.setWidthChars(13);
         addService.setHeightChars(1.14);
         addService.setRow(8.33);
         addService.setColumn(98.2);
         addService.setWidgetId(40);
         deleteService.setWidthChars(13);
         deleteService.setHeightChars(1.14);
         deleteService.setRow(9.76);
         deleteService.setColumn(98);
         deleteService.setWidgetId(42);
         btnOk.setAutoGoOption(true);
         btnOk.setWidthChars(15);
         btnOk.setHeightChars(1.14);
         btnOk.setRow(12.29);
         btnOk.setColumn(3);
         btnCancel.setAutoEndKeyOption(true);
         btnCancel.setWidthChars(15);
         btnCancel.setHeightChars(1.14);
         btnCancel.setRow(12.29);
         btnCancel.setColumn(20);
         startDatePicker.setImageUp("graphics/calendar.bmp");
         startDatePicker.setImageIns("graphics/calendar-disabled.bmp");
         startDatePicker.setNoFocus(true);
         startDatePicker.setWidthChars(6);
         startDatePicker.setHeightChars(1.19);
         startDatePicker.setRow(3.95);
         startDatePicker.setColumn(32.8);
         startDatePicker.setWidgetId(20);
         roomType.setDataType("character");
         roomType.setRow(2.95);
         roomType.setColumn(15.2);
         roomType.setAlign(ControlEntity.ALIGN_COLON);
         roomType.setWidgetId(22);
         reservationDays.setDataType("integer");
         reservationDays.setRow(7);
         reservationDays.setColumn(15.2);
         reservationDays.setAlign(ControlEntity.ALIGN_COLON);
         reservationDays.setWidgetId(24);
         priceText.setDataType("character");
         priceText.setRow(8.1);
         priceText.setColumn(4.8);
         priceText.setWidgetId(26);
         totalServices.setDataType("integer");
         totalServices.setRow(9.19);
         totalServices.setColumn(2.2);
         totalServices.setWidgetId(44);
         totalPrice.setDataType("integer");
         totalPrice.setRow(10.19);
         totalPrice.setColumn(5.6);
         totalPrice.setWidgetId(48);
         expr21.setVertical(false);
         expr21.setWidth(81.79);
         expr22.setVertical(true);
         expr22.setHeight(2.80);
         roomNumber.setLabel("Room Number");
         roomNumber.setInitialInnerLines(5);
         roomNumber.setItems(new ControlSetItem[]
         {
            new ControlSetItem(new character("101"), new character("101")),
            new ControlSetItem(new character("102"), new character("102")),
            new ControlSetItem(new character("203"), new character("203")),
            new ControlSetItem(new character("204"), new character("204"))
         }, false);
         roomNumber.setModeDropDown(true);
         roomNumber.setWidthChars(16);
         roomNumber.setHeightChars(1);
         btnOk.setLabel("OK");
         endDate.setFormat("99/99/99");
         endDate.setLabel("Check-out Date");
         endDate.setWidthChars(14);
         endDate.setHeightChars(1);
         deleteService.setLabel("Delete");
         totalPrice.setFormat("$ ->,>>>,>>9.99");
         totalPrice.setLabel("Total Price");
         totalPrice.explicitViewAs(true);
         totalPrice.setWidthChars(14);
         totalPrice.setHeightChars(.62);
         startDatePicker.setLabel("");
         totalServices.setFormat("$ ->,>>>,>>9.99");
         totalServices.setLabel("Services Total");
         totalServices.explicitViewAs(true);
         totalServices.setWidthChars(13);
         totalServices.setHeightChars(.62);
         updateGuest.setLabel("Update");
         btnCancel.setLabel("Cancel");
         addGuest.setLabel("Add");
         endDatePicker.setLabel("");
         addService.setLabel("Add");
         reservationDays.setFormat(">>>>>9");
         reservationDays.setLabel("Days");
         reservationDays.explicitViewAs(true);
         reservationDays.setWidthChars(14);
         reservationDays.setHeightChars(.62);
         viewGuest.setLabel("View");
         deleteGuest.setLabel("Delete");
         priceText.setFormat("X(256)");
         priceText.setLabel("Room Price");
         priceText.explicitViewAs(true);
         priceText.setWidthChars(34);
         priceText.setHeightChars(.62);
         startDate.setFormat("99/99/99");
         startDate.setLabel("Check-in Date");
         startDate.setWidthChars(14);
         startDate.setHeightChars(1);
         roomType.setFormat("X(256)");
         roomType.setLabel("Room Type");
         roomType.explicitViewAs(true);
         roomType.setWidthChars(22.8);
         roomType.setHeightChars(.62);
      }

      {
         addWidget("roomNumber", "roomNumber", roomNumber);
         addWidget("guests", "guests", guests);
         addWidget("guestsOrderColumn", "order", guestsOrderColumn);
         addWidget("guestsExpr72Column", "", guestsExpr72Column);
         addWidget("addGuest", "addGuest", addGuest);
         addWidget("updateGuest", "updateGuest", updateGuest);
         addWidget("startDate", "startDate", startDate);
         addWidget("viewGuest", "viewGuest", viewGuest);
         addWidget("endDate", "endDate", endDate);
         addWidget("endDatePicker", "endDatePicker", endDatePicker);
         addWidget("deleteGuest", "deleteGuest", deleteGuest);
         addWidget("services", "services", services);
         addWidget("servicesDescriptionColumn", "description", servicesDescriptionColumn);
         addWidget("servicesServiceDateColumn", "service-date", servicesServiceDateColumn);
         addWidget("servicesAmountColumn", "amount", servicesAmountColumn);
         addWidget("addService", "addService", addService);
         addWidget("deleteService", "deleteService", deleteService);
         addWidget("btnOk", "Btn_OK", btnOk);
         addWidget("btnCancel", "Btn_Cancel", btnCancel);
         addWidget("startDatePicker", "startDatePicker", startDatePicker);
         addWidget("roomType", "roomType", roomType);
         addWidget("reservationDays", "reservationDays", reservationDays);
         addWidget("priceText", "priceText", priceText);
         addWidget("totalServices", "totalServices", totalServices);
         addWidget("totalPrice", "totalPrice", totalPrice);
         addWidget("expr21", "", expr21);
         addWidget("expr22", "", expr22);
      }
   }
}
